Open CASCADE Technology: Data Fields

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - y -

- y : CALL_DEF_POINT , CALL_DEF_VERTEX , Select3D_Pnt , NCollection_Vec2< Element_t >
- Y() : gp_Pnt , Graphic3d_Vector , Graphic3d_Vertex , gp_Pnt2d , StepShape_Block , StepShape_RightAngularWedge
- y() : NCollection_Vec2< Element_t >
- Y() : gp_Quaternion , gp_Vec
- y : Select3D_Pnt2d , NCollection_Vec3< Element_t >
- Y() : gp_Vec2d , gp_XY
- y() : NCollection_Vec3< Element_t >
- Y() : gp_XYZ , Geom2d_CartesianPoint
- y : CALL_DEF_PICK , point3 , NCollection_Vec4< Element_t >
- Y() : Geom2d_Point , Geom2d_Vector
- y() : NCollection_Vec4< Element_t >
- Y() : Geom_CartesianPoint , Geom_Point
- y : Event
- Y() : gp_Dir , Geom_Vector , IntPolyh_Point , gp_Dir2d , IntPolyh_StartPoint , SelectBasics_PickArgs
- y_max : limit3 , limit
- y_min : limit3 , limit
- YAxis() : IGESSolid_RightAngularWedge , gp_Ax22d , gp_Circ , AIS_PlaneTrihedron , gp_Circ2d , gp_Cone , gp_Cylinder , gp_Elips , gp_Elips2d , gp_Hypr , gp_Hypr2d , gp_Parab , gp_Pln , gp_Sphere , gp_Torus , Geom2d_Conic , Geom_Conic , AIS_Trihedron , IGESSolid_Block , IGESSolid_Ellipsoid
- yaxisoffset : Graphic3d_CGraduatedTrihedron
- ycolor : Graphic3d_CGraduatedTrihedron
- YCoordPolynomial() : IGESGeom_SplineCurve
- YDirection() : gp_Ax22d , gp_Ax3 , Geom_Axis2Placement , gp_Ax2
- ydrawname : Graphic3d_CGraduatedTrihedron
- ydrawtickmarks : Graphic3d_CGraduatedTrihedron
- ydrawvalues : Graphic3d_CGraduatedTrihedron
- Year() : Quantity_Date
- YearComponent() : StepBasic_Date
- Ylength() : StepShape_BoxDomain
- YLength() : IGESSolid_Block , IGESSolid_RightAngularWedge , IGESSolid_Ellipsoid
- ym : CALL_DEF_WINDOW
- yM : CALL_DEF_WINDOW
- ymax : Select3D_Box2d
- ymin : Select3D_Box2d
- yname : Graphic3d_CGraduatedTrihedron
- ynamecolor : Graphic3d_CGraduatedTrihedron
- yoffset : Graphic3d_CGraduatedTrihedron
- YOrigin() : Aspect_Grid
- YOZ() : gp
- YPolynomial() : IGESGeom_SplineSurface
- YReverse() : gp_Ax3
- YSize() : IGESGraph_DrawingSize
- YStep() : Aspect_RectangularGrid
- ytickmarklength : Graphic3d_CGraduatedTrihedron
- YValues() : IGESGeom_SplineCurve
- yy1 : Segment
- yy2 : Segment
- yz() : NCollection_Vec3< Element_t > , NCollection_Vec4< Element_t >
- YZPlane() : AIS_Trihedron
- yzw() : NCollection_Vec4< Element_t >